﻿@font-face {
    font-family: 'Source Sans Pro';
    src: url('/fonts/SourceSansPro-Regular.ttf');
}

body {
    padding-top: 0px;
    padding-bottom: 20px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

.container-fluid {
    padding-right: 30px;
}


/* Custom styles */


div.divTestBanner {
    position: relative;
    margin: 0 0;
    padding: 0 0;
    font-weight: bold;
    border-width: 1px 0;
    border-style: solid;
    border-color: #ff0000;
    color: #ff0000;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    letter-spacing: 1.5em;
    background-color: #fff2f2;
    text-align: center;
    left: 0px;
    right: 100%;
}

.mainbody {
    position: fixed;
    top: 0px;
    bottom: 20px;
    left: 286px;
    right: 0px;
    background-color: #fff;
}

footer {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 89px;
    display: block;
    opacity: 1;
    z-index: 999;
    background: #0C0D17 0% 0% no-repeat padding-box;
    opacity: 1;
}

    footer .footer-content {
        padding-top: 22px;
        font: normal normal normal 14px/18px Source Sans Pro;
        letter-spacing: 0px;
        color: #FFFFFF;
    }

    footer .footer-bottom-line {
        position: absolute;
        bottom: 0px;
        left: 0px;
        right: 0px;
        top: 81px;
        bottom: 0px;
        background: transparent url('/Images/bottom-line.png') 0% 0% no-repeat padding-box;
        background-size: cover;
        opacity: 1;
    }

.style1 {
    background: url(/Images/bottom-line.png) no-repeat center center fixed;
    background-size: cover;
}

/*--- left nav ---*/

div#MainMenu {
    font-size: 1.2em;
}

.leftnav {
    position: absolute;
    top: 0px;
    bottom: 89px;
    left: 0px;
    width: 286px;
    background-image: linear-gradient(#090230, #000F7E);
    opacity: 1;
    height: 100%;
}

.leftnav-logo {
    display: block;
    position: absolute;
    top: 48px;
    left: 33px;
    height: 42px;
    width: 215px;
}

.leftnav-appname {
    display: block;
    position: absolute;
    top: 154px;
    left: 62px;
    width: 156px;
    height: 50px;
    text-align: center;
    font: normal normal normal 20px/25px Source Sans Pro;
    letter-spacing: 0px;
    color: #F1EFF7;
    text-transform: uppercase;
    opacity: 1;
}

.leftnav-welcome {
    display: block;
    position: absolute;
    top: 286px;
    left: 0px;
    right: 0px;
    text-align: center;
    font: italic normal normal 20px/25px Source Sans Pro;
    letter-spacing: 0px;
    color: #F1EFF7;
    opacity: 1;
}

.leftnav-menu {
    display: block;
    position: absolute;
    top: 364px;
    left: 0px;
    width: 100%;
    height: 55px;
    color: var(--unnamed-color-ffffff);
    text-align: left;
    font: normal normal bold 20px/25px Source Sans Pro;
    letter-spacing: 0px;
    color: #FFFFFF;
    opacity: 1;
}

.leftnav-eclogo {
    position: absolute;
    height: 100px;
    bottom: 138px;
    right: 0px;
}

.leftnav-header {
    color: #337ab7;
    border: none;
    padding: 10px 15px;
    cursor: pointer;
    color: #fff;
}

    .leftnav-header:hover {
        background-color: #ddd;
        color: #337ab7;
    }

.leftnav-collapse {
    border: 1px solid #ddd;
    border-top-width: 0;
}

    .leftnav-collapse .active a {
        color: #fff;
        background-color: #337ab7;
    }

        .leftnav-collapse .active a:hover {
            background-color: #ddd;
            color: #337ab7;
        }

/*--- end left nav ---*/

.main-menu-pills > li > a {
    font: normal normal bold 20px/25px Source Sans Pro;
    color: #FFFFFF;
    border: none;
    border-radius: 0px;
    height: 40px;
    padding-left: 62px;
    padding-top: 5px;
}

    .main-menu-pills > li > a:hover {
        background-color: #000F7E;
    }

.main-menu-pills > li.active a {
    background-color: #000F7E;
}

    .main-menu-pills > li.active a:hover {
        background-color: #000F7E;
    }


.page-title {
    text-align: left;
    font: normal normal normal 20px/25px Source Sans Pro;
    letter-spacing: 0px;
    color: #0C0D17;
    opacity: 1;
}


.summary-header {
    display: block;
    position: absolute;
    top: 50px;
    left: 20px;
    right: 20px;
    height: 40px;
}


.tableFixHead {
    display: block;
    position: absolute;
    top: 100px;
    left: 20px;
    right: 20px;
    bottom: 150px;
    overflow: auto;
}

    .tableFixHead thead th {
        position: sticky;
        background: #fff;
        top: 0;
        z-index: 1;
    }

    .tableFixHead tbody th {
        position: sticky;
        left: 0;
    }

.addnew-btn {
    background: url(/Images/Add.png);
}

#vertical {
    height: 100%;
    margin: 0 auto;
}

#middle-pane {
    color: #000;
    background-color: #ccc;
}

#bottom-pane {
    color: #000;
    background-color: #aaa;
}

#left-pane, #center-pane, #right-pane {
    color: #000;
    background-color: #F5F5F5;
}

#right-pane {
    background-color: #fff;
}



.pane-content {
    padding: 20px;
}

.k-grid .k-grid-search {
    display: flex;
    margin-left: auto;
    margin-right: 0;
    height: 100%;
}

/*.k-grid-content {
    height: 100% !important;
}*/

.pane-padding {
    padding: 0;
    height: 94%;
}


.fixed-header {
    top: 0;
    position: fixed;
    width: auto;
    z-index: 1;
}

.mainbody {
    padding: 0px 286px 0px 2px;
}

.required:after {
    content: "*";
    font-weight: bold;
    color: red;
}

.control-label:after {
    content: ":";
}

.k-widget .k-textbox {
    width: 100%;
}

.full-width {
    width: 100%;
    margin: 0;
    padding: 0;
}

.k-widget .k-datetimepicker {
    width: 100%;
    margin: 0;
    padding: 0;
}

.disabled-control {
    height: 19px;
    background-color: #eee;
}

#divLoading {
    margin: 0px;
    display: none;
    padding: 0px;
    position: absolute;
    right: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    background-color: white;
    z-index: auto;
    opacity: 0.4;
}

#divAsyncProgress {
    position: absolute;
    color: black;
    top: 50%;
    left: 45%;
}

.center-btn {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 30px;
    border: none;
    display: flex;
    justify-content: center;
    align-items: center;
}


/*.k-grid td {
    white-space: nowrap;
    text-overflow: ellipsis;
}
*/

.k-toolbar {
    justify-content: left;
    height: 40px;
    padding: .375rem .375rem;
    flex-wrap: nowrap;
}

.k-detail-row, .k-detail-row:hover {
    border-color: #428bca !important;
    background-color: #000F7E !important;
    border-color: #000F7E !important;
    color: #fff !important;
}


.input-validation-error {
    border-color: #8a6d3b;
    background-color: #fdd67a;
}

.notValid {
    background-color: #fdd67a; /*#ff9347;*/
}

.k-draghandle.k-state-selected:hover, .k-ghost-splitbar-horizontal, .k-ghost-splitbar-vertical, .k-list > .k-state-highlight, .k-list > .k-state-selected, .k-marquee-color, .k-panel > .k-state-selected, .k-scheduler .k-today.k-state-selected, .k-state-selected, .k-state-selected:link, .k-state-selected:visited, .k-tool.k-state-selected, .btn-primary {
    color: #fff;
    background-color: #000F7E;
    border-color: #000F7E;
}

    .k-grid td.k-state-selected:hover, .k-grid tr.k-state-selected:hover td, .btn-primary:hover {
        background-color: #000F7E;
        border-color: #eee;
    }

.k-pager-wrap .k-link.k-state-selected, .k-pager-wrap .k-link.k-state-selected:hover {
    color: #fff;
    background-color: #000F7E;
    border-color: #000F7E;
}

.k-checkbox:checked {
    border-color: #428bca;
    background-color: #000F7E;
    border-color: #000F7E;
}

.k-grid th.k-state-selected {
    color: #212529;
    /*background-color: rgba(0, 123, 255, 0.25);*/
    background-color: rgba(241, 239, 247, 0.25);
}

.k-grid th.k-state-focused,
.k-grid th:focus {
    box-shadow: inset 0 0 0 2px rgba(0, 0, 0, 0.08);
}

.ml-input {
    width: 400px;
    height: 200px;
}


tr.k-state-selected td.k-edit-cell, tr.k-state-selected td.k-state-selected:hover {
    color: #333;
}


.k-panelbar > li.k-state-default > .k-link, .k-tabstrip-items .k-state-default .k-link {
    color: #000F7E;
    padding: 10px 15px;
}


.k-tabstrip:focus {
    /* Prevent focus state on tabstrip main wrapper */
    box-shadow: none !important;
}

.k-tabstrip-items .k-loading {
    /* Prevent animation on tab when clicked. Animation was causing strange visual effects. */
    transition: none !important;
    animation: none !important;
    -webkit-animation: none !important;
}

/* 7/17/2024 CCroley - Commenting out as part of ECDB-157 styling improvements
    
    .k-tabstrip {
    background-color: #fff;
}*/

.k-tabstrip-items .k-state-active .k-link {
    color: #333;
    background-color: #f5f5f5;
    border: none;
    background-color: #fff;
}

.k-tabstrip-top > .k-tabstrip-items-wrapper .k-item {
    margin-bottom: -2px;
    font-size: 14px;
}

    .k-tabstrip-top > .k-tabstrip-items-wrapper .k-item.k-state-active {
        border: solid 1px rgb(204,204,204);
        border-bottom: none;
        font-weight: bold;
        border-radius: 6px 6px 0 0;
    }

.k-tabstrip .k-content.k-state-active {
    background-color: #fff;
    color: #333;
    border: none;
    padding: 20px 10px;
}

.k-tabstrip-top > .k-tabstrip-items-wrapper {
    border-bottom: solid 1px rgb(204,204,204);
    background-color: #fff;
}

.k-tabstrip-items .k-loading {
    border: none;
}

.center {
    margin: auto;
    width: 30%;
    border: none;
    padding: 10px;
}


.k-splitbar .k-icon {
    overflow: visible;
    font-size: 20px;
}

    .k-splitbar .k-icon.k-i-arrow-60-left {
        margin-left: -6px;
    }

    .k-splitbar .k-icon.k-i-arrow-60-right {
        margin-left: -5px;
    }

.k-splitter .k-splitbar-horizontal {
    width: 10px;
    background-color: #d9d9d9;
}

.k-splitbar .k-resize-handle.k-i-vbar {
    width: 8px;
    height: 25px;
    margin-left: 1px;
}

.k-splitbar .k-resize-handle.k-i-hbar {
    width: 20px;
    height: 5px;
    margin: 0;
}

input[type="checkbox"], input[type="radio"] {
    margin: 5px 8px 0;
    line-height: normal;
}

input[type="radio"] {
    height: 18px;
    width: 18px;
    margin: 2px 8px 0;
    /*background-color: #000F7E;*/
    accent-color: #000F7E;
}

#panelbar-ecdb .k-i-arrow-60-down:before {
    content: "\e006" !important;
}

#panelbar-ecdb .k-i-arrow-60-up:before {
    content: "\e004" !important;
}


.k-panelbar .k-link.k-state-default.k-state-hover {
    color: #ddd;
}

.k-panelbar .k-link.k-state-selected.k-state-hover,
.main-menu-pills > li.active a:hover {
    color: #ddd;
}

.k-panelbar > li.k-state-default > .k-link.k-state-hover,
.k-panelbar > li.k-state-selected > .k-link.k-state-default {
    color: #ddd !important;
    background-color: #000F7E !important;
}

.k-header.k-link.k-state-hover {
    color: #000 !important;
}

.d-msg {
    margin: 10px 0;
    padding: 10px;
}

.d-msg__warning {
    color: #000;
    background-color: #ffffdc;
    border: solid 1px silver;
    border-radius: 10px;
}

a.ec-label__anchor {
    color: blue;
}

    a.ec-label__anchor:hover {
        color: blue;
    }

.js-right-panel .form-control {
    box-sizing: border-box;
}

.d-row {
    display: flex;
    flex-direction: column;
    font-size: 14px !important;
}

.large .d-row {
    flex-direction: row;
}

.large .d-col {
    flex-grow: 1;
    margin: 0 10px;
    max-width: 75%;
}

    .large .d-col:first-child {
        margin-left: 0;
    }

    .large .d-col:last-child {
        margin-right: 0;
    }

    .large .d-col.d-col__12 {
        width: 100%;
        max-width: 100%;
    }

    .large .d-col.d-col__10 {
        width: 83.333%;
        max-width: 83.333%;
    }

    .large .d-col.d-col__9 {
        width: 75%;
        max-width: 75%;
    }

    .large .d-col.d-col__6 {
        width: 50%;
        max-width: 50%;
    }

    .large .d-col.d-col__4 {
        width: 33.333%;
        max-width: 33.333%;
    }
    
    .large .d-col.d-col__3 {
        width: 25%;
        max-width: 25%;
    }

    .large .d-col.d-col__2 {
        width: 16.666%;
        max-width: 16.666%;
    }


.postfix-label {
    white-space: nowrap;
    width: 50%;
    max-width: 50%;
}

.large .postfix-label {
    width: 25%;
    max-width: 25%;
}


.js-right-panel.large .d-row {
    flex-direction: row;
}

.section-heading {
    font-size: 18px;
    color: #000F7E;
    border-bottom: solid 1px #000F7E;
    padding-bottom: 10px;
}

textarea.form-control {
    padding: 12px;
}

.large .d-row__addr-csz {
    max-width: 75%;
}

.modal-body {
    position: relative;
    padding: 15px;
    color: black;
}

.toast-center-center {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.sr-fileupload {

}

.k-dirty {
    display: none;
}

